- Qt 5.15
- Qt Virtual Keyboard
- QML Types
- ShiftHandler QML Type
- Qt Virtual Keyboard | Commercial or GPLv3

# ShiftHandler QML Type

Manages the shift state. More...

Import Statement: | import QtQuick.VirtualKeyboard 2.15

- List of all members, including inherited members

## Properties

- autoCapitalizationEnabled : bool
- sentenceEndingCharacters : string
- toggleShiftEnabled : bool

## Methods

- void toggleShift()

## Detailed Description

## Property Documentation

autoCapitalizationEnabled : bool

This property provides the current state of the automatic capitalization feature.

This property was introduced in Qt 1.2.

sentenceEndingCharacters : string

This property specifies the sentence ending characters which will cause shift state change.

By default, the property is initialized to sentence ending characters found in the ASCII range (i.e. ".!?").

toggleShiftEnabled : bool

This property provides the current state of the toggleShift() method. When true, the current shift state can be changed by calling the toggleShift() method.

This property was introduced in Qt 1.2.

## Method Documentation

void toggleShift()

Toggles the current shift state.

This method provides the functionality of the shift key.

This method was introduced in Qt 1.2.

See also toggleShiftEnabled.